---
title: "Province"
generated: true
---
<GenerationInfo sourceFile="packages/core/src/entity/region/province.entity.ts" sourceLine="13" packageName="@vendure/core" />

A Province represents an administrative subdivision of a <DocsLink href="/reference/typescript-api/entities/country#country">Country</DocsLink>. For example, in the
United States, the country would be "United States" and the province would be "California".

```ts title="Signature"
class Province extends Region {
    constructor(input?: DeepPartial<Province>)
    readonly type: RegionType = 'province';
}
```
* Extends: <DocsLink href="/reference/typescript-api/entities/region#region">`Region`</DocsLink>



<div className="members-wrapper">

### constructor

<MemberInfo kind="method" type={`(input?: `DeepPartial<`<a href='/reference/typescript-api/entities/province#province'>Province</a>`>`) => Province`}   />


### type

<MemberInfo kind="property" type={`RegionType`}   />




</div>
